Skip to content

Validate Centrelink Card

Request

Method: POST

URL: https://{{environment}}.ridx.io/dvs/v1/centrelink

Headers

Header Value
Content-Type application/json
token {{access_token}}

Request Body

Property Type Description
BirthDate String Birth date of card holder, format: YYYY-MM-DD
Name String Full name on card, can be no longer than 32 characters and only contain alphanumeric characters, hyphens, apostrophes and spaces
CardType String PCC (Pension Concession), HCC (Health Care), SHC (Seniors Health)
CardExpiry String Date of card expiration
CustomerReferenceNumber String Centrelink customer reference number, format: 9 numbers followed by 1 letter

Important Response Data

Property Type Description
VerifyDocumentResult Object The object containing the reply
VerificationResultCode String A value of Y (Yes), N (No), D (Document Error), S (Server Error)
VerificationRequestNumber String A receipt number of the request created by RapidID
OriginatingAgencyCode String A code representing the customers unique identifier code
ActivityId String A activity process id
attributes Object An object containing the description on the response
i:type String A description on the request response

Example Requests

{
  "BirthDate": "1953-12-06",
  "Name": "John Smith",
  "CardType": "HCC",
  "CardExpiry": "2030-03-29",
  "CustomerReferenceNumber": "204647416C"
}
{
  "BirthDate": "1953-12-06",
  "Name": "John Smith",
  "CardType": "HCC",
  "CardExpiry": "2030-03-29",
  "CustomerReferenceNumber": "111111111A"
}
{
  "BirthDate": "1953-12-06",
  "Name": "John Smith",
  "CardType": "HCC",
  "CardExpiry": "2030-03-29",
  "CustomerReferenceNumber": "222222222A"
}
{
  "BirthDate": "1953-12-06",
  "Name": "John Smith",
  "CardType": "HCC",
  "CardExpiry": "2030-03-29",
  "CustomerReferenceNumber": "999999999A"
}
{
  "BirthDate": "1965-01-01",
  "CardType": "HCC",
  "CardExpiry": "2030-03-29",
  "CustomerReferenceNumber": "204647416C"
}

Example Responses

Status: 200 OK

{
  "VerifyDocumentResult": {
    "attributes": {
        "i:type": "CentreLinkResponse"
    },
    "ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "OriginatingAgencyCode": "XXXX",
    "VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "VerificationResultCode": "Y"
  },
  "fieldDetails": {
    "BirthDate": "Full Match",
    "BirthDay": "Full Match",
    "BirthMonth": "Full Match",
    "BirthYear": "Full Match",
    "Name": "Full Match",
    "CardType": "Full Match",
    "CardDay": "Full Match",
    "CardMonth": "Full Match",
    "CardYear": "Full Match",
    "CardExpiry": "Full Match",
    "CRN1": "Full Match",
    "CRN2": "Full Match",
    "CRN3": "Full Match",
    "CustomerReferenceNumber": "Full Match",
    "ExpiryDay": "Full Match",
    "ExpiryMonth": "Full Match",
    "ExpiryYear": "Full Match",
    "RegistrationState": "Full Match"
  },
  "rapidID": "check-id"
}

Status: 200 OK

{
  "VerifyDocumentResult": {
    "attributes": {
      "i:type": "CentreLinkResponse"
    },
    "ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "OriginatingAgencyCode": "XXXX",
    "VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "VerificationResultCode": "N"
  },
  "fieldDetails": {
    "BirthDate": "No Match",
    "BirthDay": "No Match",
    "BirthMonth": "No Match",
    "BirthYear": "No Match",
    "Name": "No Match",
    "CardType": "No Match",
    "CardDay": "No Match",
    "CardMonth": "No Match",
    "CardYear": "No Match",
    "CardExpiry": "No Match",
    "CRN1": "No Match",
    "CRN2": "No Match",
    "CRN3": "No Match",
    "CustomerReferenceNumber": "No Match",
    "ExpiryDay": "No Match",
    "ExpiryMonth": "No Match",
    "ExpiryYear": "No Match",
    "RegistrationState": "No Match"
  },
  "rapidID": "check_id"
}

Status: 200 OK

{
  "VerifyDocumentResult": {
    "attributes": {
      "i:type": "CentreLinkResponse"
    },
    "ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "OriginatingAgencyCode": "XXXX",
    "VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "VerificationResultCode": "D"
  },
  "fieldDetails": {
    "BirthDate": "No Match",
    "BirthDay": "No Match",
    "BirthMonth": "No Match",
    "BirthYear": "No Match",
    "Name": "No Match",
    "CardType": "No Match",
    "CardDay": "No Match",
    "CardMonth": "No Match",
    "CardYear": "No Match",
    "CardExpiry": "No Match",
    "CRN1": "No Match",
    "CRN2": "No Match",
    "CRN3": "No Match",
    "CustomerReferenceNumber": "No Match",
    "ExpiryDay": "No Match",
    "ExpiryMonth": "No Match",
    "ExpiryYear": "No Match",
    "RegistrationState": "No Match"
  },
  "rapidID": "check-id"
}

Status: 200 OK

{
  "VerifyDocumentResult": {
    "attributes": {
      "i:type": "CentreLinkResponse"
    },
    "ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "OriginatingAgencyCode": "XXXX",
    "VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "VerificationResultCode": "S"
  },
  "fieldDetails": {
    "BirthDate": "No Match",
    "BirthDay": "No Match",
    "BirthMonth": "No Match",
    "BirthYear": "No Match",
    "Name": "No Match",
    "CardType": "No Match",
    "CardDay": "No Match",
    "CardMonth": "No Match",
    "CardYear": "No Match",
    "CardExpiry": "No Match",
    "CRN1": "No Match",
    "CRN2": "No Match",
    "CRN3": "No Match",
    "CustomerReferenceNumber": "No Match",
    "ExpiryDay": "No Match",
    "ExpiryMonth": "No Match",
    "ExpiryYear": "No Match",
    "RegistrationState": "No Match"
  },
  "rapidID": "check-id"
}

Status: 400 Bad Request

{
  "result": {
    "statuscode": "400",
    "error": [
      "Name needs a value"
    ]
  }
}